Subject: bug#9074: 24.0.50; problems trying to mail bug report, again

From: "Drew Adams" <[email-masked]>
Date: Tue, 2 Aug 2011 12:00:14 -0700

> Nothing has changed here, except that you're asked one y-or-n 
> question.

Wrong.  And see bug #9155.

Honestly, characterizing this regression as simply asking one y-or-n question is
completely <unmentionable>.

The user must edit the From field, errors are raised, etc.  It is practically
impossible to send a bug report from emacs -Q now.

To be clear, here we go: I'll do it _again_ for you, from emacs -Q, with a
Windows build from 2011-07-25: I type in a bug report and hit C-c C-c.

1. You have to answer this silly question: "Is
[email-masked]' really your
email address? (yes or no)".  If you are able to understand that (and why it is
being asked), you will correctly answer "no".

2. "Please edit the From address and try again".  And the window is scrolled all
the way to the bottom, so you see only this now:

..."rfn-eshadow timer select scroll-bar mouse jit-lock font-lock syntax
facemenu font-core frame cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese hebrew greek romanian slovak
czech european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer button faces cus-face files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
multi-tty emacs)"

Anyway, you make the guess that "try again" means to hit C-c C-c (?).
You scroll up, find the From address, and edit it.  Then you hit C-c C-c again.

3. "Send this bug report to the Emacs maintainers? (yes or no)"  yes

4. "Configure outgoing SMTP in Emacs? (y or n) n

(But why does the UI switch from yes/no to y/n?  I already pointed this out...)

5. "Sending failed; no recipients"

That, is spite of the fact that the To: field has [email-masked].  What
happened?  What do you do now?

No pop up of email client, nada.

And here's the complete text of *Messages* (again):

For information about GNU Emacs and the GNU system, type C-h C-a.
Checking for load-path shadows...
Checking 1 files in c:/Emacs-24-2011-07-25-lex/site-lisp...
Checking 499 files in c:/Emacs-24-2011-07-25-lex/lisp...
Checking 87 files in c:/Emacs-24-2011-07-25-lex/lisp/calc...
Checking 57 files in c:/Emacs-24-2011-07-25-lex/lisp/calendar...
Checking 148 files in c:/Emacs-24-2011-07-25-lex/lisp/emacs-lisp...
Checking 48 files in c:/Emacs-24-2011-07-25-lex/lisp/emulation...
Checking 68 files in c:/Emacs-24-2011-07-25-lex/lisp/erc...
Checking 55 files in c:/Emacs-24-2011-07-25-lex/lisp/eshell...
Checking 259 files in c:/Emacs-24-2011-07-25-lex/lisp/gnus...
Checking 65 files in c:/Emacs-24-2011-07-25-lex/lisp/international...
Checking 59 files in c:/Emacs-24-2011-07-25-lex/lisp/language...
Checking 69 files in c:/Emacs-24-2011-07-25-lex/lisp/mail...
Checking 48 files in c:/Emacs-24-2011-07-25-lex/lisp/mh-e...
Checking 121 files in c:/Emacs-24-2011-07-25-lex/lisp/net...
Checking 48 files in c:/Emacs-24-2011-07-25-lex/lisp/nxml...
Checking 194 files in c:/Emacs-24-2011-07-25-lex/lisp/org...
Checking 57 files in c:/Emacs-24-2011-07-25-lex/lisp/play...
Checking 170 files in c:/Emacs-24-2011-07-25-lex/lisp/progmodes...
Checking 88 files in c:/Emacs-24-2011-07-25-lex/lisp/textmodes...
Checking 62 files in c:/Emacs-24-2011-07-25-lex/lisp/url...
Checking 80 files in c:/Emacs-24-2011-07-25-lex/lisp/vc...
Checking 65 files in c:/Emacs-24-2011-07-25-lex/lisp/obsolete...
Checking 24 files in c:/Emacs-24-2011-07-25-lex/lisp/cedet...
Checking 2 files in c:/Emacs-24-2011-07-25-lex/leim...
Checking for load-path shadows...done
call-interactively: Text is read-only [2 times]
report-emacs-bug-hook: Please edit the From address and try again
Sending...
Sending via mail...
Configure outgoing SMTP in Emacs? (y or n)  y
Setting `sendmail-query-once-function' temporarily since "emacs -q" would
overwrite customizations
smtpmail-send-it: Sending failed; no recipients
Auto-saving...

6. Nothing was mailed.  No mail client window popped up.  Nothing happened.  No
feedback except incomprehensible messages, some of which are buried in
*Messages* and were never displayed (noticeably).

7. What the <...> do you call this, if not a serious regression that hampers
users from using Emacs and reporting problems?  I cannot believe that this is
not being taken seriously.

Put yourself in the place of an Emacs newbie on Windows.  Read the transcript
above.  Does it make you feel good about your "improvement" of the bug-reporting
dialog?

Stefan's only reply was "don't do it if it hurts"!  Sheesh - don't report bugs?
Why not replace the body of `report-emacs-bug' to just display a message: "Don't
be stupid, Newbie; we don't want no stinkin bug reports".